Delete Data Source with specified ID
Delete Data Source with specified ID. Requires Data Source ownership privileges
curl --request DELETE \
--url https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"authType": "AzureBasic",
"config": {
"host": "example-host.com"
},
"credentialType": "Individual",
"dataSourceType": "ADLSConfig",
"displayName": "Azure Data Lake Store",
"id": "62604702b7e5d347dbe7a909",
"lastUpdated": "2022-04-23T18:25:43.511Z",
"name": "data-source-name",
"ownerId": "62604702b7e5d347dbe7a909",
"ownerUsername": "owner-username",
"permissions": {
"isEveryone": true,
"userAndOrganizationIds": [
"<string>"
]
},
"description": "My Data Source"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
ID of Data Source to delete
Response
Success
The type of Data Source authentication
"AzureBasic"
A map of configuration name -> value
Show child attributes
Show child attributes
{ "host": "example-host.com" }
Whether the credentials is individual to a user or shared
Individual, Shared The configuration type of the Data Source
"ADLSConfig"
Data Source display name
"Azure Data Lake Store"
ID of the Data Source
"62604702b7e5d347dbe7a909"
ISO 8601 formatted time of when the Data Source was last updated
"2022-04-23T18:25:43.511Z"
User given name of the Data Source
"data-source-name"
ID of the Data Source owner
"62604702b7e5d347dbe7a909"
Username of the owner of the Data Source
"owner-username"
Show child attributes
Show child attributes
Description of the Data Source
"My Data Source"
Was this page helpful?
curl --request DELETE \
--url https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"authType": "AzureBasic",
"config": {
"host": "example-host.com"
},
"credentialType": "Individual",
"dataSourceType": "ADLSConfig",
"displayName": "Azure Data Lake Store",
"id": "62604702b7e5d347dbe7a909",
"lastUpdated": "2022-04-23T18:25:43.511Z",
"name": "data-source-name",
"ownerId": "62604702b7e5d347dbe7a909",
"ownerUsername": "owner-username",
"permissions": {
"isEveryone": true,
"userAndOrganizationIds": [
"<string>"
]
},
"description": "My Data Source"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}